%{?drupal7_find_provides_and_requires}

%global module_name variable

Name:          drupal7-%{module_name}
Version:       2.5
Release:       2%{?dist}
Summary:       Provides a registry for meta-data about Drupal variables

Group:         Applications/Publishing
License:       GPLv2+
URL:           http://drupal.org/project/%{module_name}
Source0:       http://ftp.drupal.org/files/projects/%{module_name}-7.x-%{version}.tar.gz
Source1:       %{name}-RPM-README.txt

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: drupal7-rpmbuild >= 7.23-3

# phpcompatinfo (computed from version 2.4)
Requires:      php-pcre

%description
Variable module provides a registry for meta-data about Drupal variables
and some extended Variable API and administration interface. So other modules
can know about your module's variables and they can be translated,
exported, etc. You'll get automatic variable edit forms, tokens, access
control and uninstall for free.


%prep
%setup -qn %{module_name}
cp -p %{SOURCE1} .

# Remove executable bit
chmod -x LICENSE.txt


%build
# Empty build section, nothing to build


%install
rm -rf %{buildroot}
mkdir -pm 0755 %{buildroot}%{drupal7_modules}/%{module_name}
cp -pr * %{buildroot}%{drupal7_modules}/%{module_name}/


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc *.txt
%{drupal7_modules}/%{module_name}
%exclude %{drupal7_modules}/%{module_name}/*.txt


%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat May 03 2014 Peter Borsa <peter.borsa@gmail.com> - 2.5-1
- Updated to 2.5 (BZ #1090883; release notes https://drupal.org/node/2247839)

* Sat Jan 25 2014 Shawn Iwinski <shawn.iwinski@gmail.com> - 2.4-1
- Updated to 2.4 (BZ #1056423; release notes https://drupal.org/node/2178137)
- Spec cleanup

* Sat Aug 10 2013 Peter Borsa <peter.borsa@gmail.com> - 2.3-1
- Update to upstream 2.3 release for bug fixes
- Upstream changelog for this release is available at https://drupal.org/node/2061163

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Feb 10 2013 Scott Dodson <sdodson@redhat.com> - 2.2-0
- Update to 2.2

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jul 12 2012 Scott Dodson <sdodson@redhat.com> - 2.1-0
- Update to 2.1 BZ837246

* Tue Jun 26 2012 Scott Dodson <sdodson@redhat.com> - 2.0-1
- Update to 2.0 BZ834183

* Wed Apr 25 2012 Scott Dodson <sdodson@redhat.com> - 1.2-1
- Update to 1.2

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Aug 31 2011 Scott Dodson <sdodson@redhat.com> - 1.1-1
- Initial Packaging
